 mongoose = require('mongoose').set('debug', false)
const Schema = mongoose.Schema;

const tools = require('../tools/general');

mongoose.Promise = global.Promise;
mongoose.level = "F";


// Resolving error Unknown modifier: $pushAll
mongoose.plugin(schema => {
  schema.options.usePushEach = true
});

const storehouseSchema = new Schema({
  idapp: {
    type: String,
  },
  name: {
    type: String,
  },
  description: {
    type: String,
  },
  referent: {
    type: String,
  },
  address: {
    type: String,
  },
  city: {
    type: String,
  },
  region: {
    type: String,
  },
  img: {
    type: String,
  },
  website: {
    type: String,
  },
});

var Storehouse = module.exports = mongoose.model('Storehouse', storehouseSchema);

module.exports.getFieldsForSearch = function () {
  return [{field: 'name', type: tools.FieldType.string}]
};

module.exports.executeQueryTable = function (idapp, params) {
  params.fieldsearch = this.getFieldsForSearch();
  return tools.executeQueryTable(this, idapp, params);
};

module.exports.findAllIdApp = async function (idapp) {
  const myfind = { idapp };

  return await Storehouse.find(myfind);
};

